> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutatie: ZonesMap exporteren als gecomprimeerde shapefile

Genereer een ziparchief met de geselecteerde "ZonesMap" als shapefile.

{% hint style="info" %}
Het archief bevat de bestanden \*.shp, \*.shx, \*.prj en \*.dbf in EPSG:4326.
{% endhint %}

### 1. Voorbereiding

* Het attribuut `vectorAnalysisMaps` bevat een array met ZonesMaps-objecten (VectorAnalysisMaps) die moeten worden geëxporteerd. Elk object bevat een paar `fieldUuid` (koppeling met het geselecteerde perceel) en `uuid` (koppeling met de geselecteerde ZonesMap).
* Het booleaanse attribuut `asMultiGeometry` bepaalt of zones worden geëxporteerd als `Polygons` of `MultiPolygons` (wanneer ingesteld op `true` ).
* Het booleaanse attribuut `onlyProductColumns` geeft aan of alleen kolommen met producten (RX) in de shapefile moeten worden opgenomen (wanneer `true`). Anders worden alle statistische attributen en zone-ID's als kolommen opgenomen.
* Het attribuut `archiveName` bevat de naam van het gegenereerde ziparchief.
* Met het attribuut `filePostfix` kun je aangepaste achtervoegsels toevoegen aan de geëxporteerde bestanden en het archief.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Het gegenereerde archief downloaden

Na uitvoering van de GraphQL-query kun je het archief downloaden met `curl` of een vergelijkbare methode.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
